Debian Bug report logs - #521651
libpam-ck-connector leak resources for every pam session

version graph

Package: libpam-ck-connector; Maintainer for libpam-ck-connector is Robert Millan <rmh@debian.org>; Source for libpam-ck-connector is src:consolekit.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sun, 29 Mar 2009 09:00:01 UTC

Severity: important

Found in version consolekit/0.2.10-5

Fixed in versions 0.3.0-1, consolekit/0.2.10-5+lenny1

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#521651; Package libpam-ck-connector. (Sun, 29 Mar 2009 09:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 29 Mar 2009 09:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: libpam-ck-connector leak resources for every pam session
Date: Sun, 29 Mar 2009 10:58:12 +0200
Package: libpam-ck-connector
Version: 0.2.10-5
Severity: important
User:     debian-edu@lists.debian.org
UserTags: debian-edu

According to
<URL: https://bugs.launchpad.net/ubuntu/+source/consolekit/+bug/284229 >,
there is a resource leak in consolekit when enabling
libpam-ck-connector , making it use more and more memory and CPU until
it consumes all the system resources in a few days.  It leak resources
every time a new session is created, for example when a cron job is
executed.  So when munin is installed running a cron job every 5
minute, the resources are quickly consumed.

I tested this in Debian Lenny, and the problem is present there.

According to Michael Biebl, the current consolekit package maintainer,
the error is fixed in testing and unstable, and the one-line patch to
solve it can be found at
<URL: http://patch-tracking.debian.net/patch/series/view/consolekit/0.3.0-2/11-unref-dbus-proxy.patch >.

We are enabling this pam module in Debian Edu to make sure console
users get their needed dbus privileges, and thus will be bitten quite
badly by this issue.  Please upload a fixed package in Lenny.

Happy hacking,
--
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@hungry.com>:
You have taken responsibility. (Sun, 29 Mar 2009 10:03:03 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Sun, 29 Mar 2009 10:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 521651-done@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 521651-done@bugs.debian.org
Subject: Re: libpam-ck-connector leak resources for every pam session
Date: Sun, 29 Mar 2009 12:01:16 +0200
Version: 0.3.0-1

This issue was solved with the upload of 0.3.0, and do no longer exist
in unstable and testing.  It is a problem in Lenny, though.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#521651; Package libpam-ck-connector. (Sun, 29 Mar 2009 10:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 29 Mar 2009 10:09:02 GMT) Full text and rfc822 format available.

Message #15 received at 521651@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 521651@bugs.debian.org, debian-edu@lists.debian.org
Subject: re: libpam-ck-connector leak resources for every pam session
Date: Sun, 29 Mar 2009 11:07:10 +0100
[Message part 1 (text/plain, inline)]
Hi,

are you willing to prepare a fixed package for lenny, or should I prepare an 
NMU? I'd be happy to mail debian-release@ and ask for inclusion into the next 
point-release, but/and of course I'd be even happier if you'd do it :-)

Pere, can we link this munin graph which so nicely shows the effects of the 
problem? If so, what was the URL?


regards,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#521651; Package libpam-ck-connector. (Sun, 29 Mar 2009 10:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 29 Mar 2009 10:33:09 GMT) Full text and rfc822 format available.

Message #20 received at 521651@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 521651@bugs.debian.org, debian-edu@lists.debian.org
Subject: Re: libpam-ck-connector leak resources for every pam session
Date: Sun, 29 Mar 2009 12:27:06 +0200
[Holger Levsen]
> Pere, can we link this munin graph which so nicely shows the effects
> of the problem? If so, what was the URL?

Sure.  I found it in the launchpad comments.  It is
<URL: http://launchpadlibrarian.net/20012789/cpu-problem.png >.

Vennlig hilsen,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#521651; Package libpam-ck-connector. (Sun, 29 Mar 2009 15:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 29 Mar 2009 15:51:10 GMT) Full text and rfc822 format available.

Message #25 received at 521651@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 521651@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#521651: libpam-ck-connector leak resources for every pam session
Date: Sun, 29 Mar 2009 17:45:33 +0200
[Message part 1 (text/plain, inline)]
Holger Levsen wrote:
> Hi,
> 
> are you willing to prepare a fixed package for lenny, or should I prepare an 
> NMU? I'd be happy to mail debian-release@ and ask for inclusion into the next 
> point-release, but/and of course I'd be even happier if you'd do it :-)

I'm fine with preparing a new release for lenny.

When you talk about "next" point release, do you mean 5.0.1 or 5.0.2?

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#521651; Package libpam-ck-connector. (Sun, 29 Mar 2009 16:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 29 Mar 2009 16:15:09 GMT) Full text and rfc822 format available.

Message #30 received at 521651@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 521651@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>, Petter Reinholdtsen <pere@hungry.com>
Subject: Re: [Pkg-utopia-maintainers] Bug#521651: Bug#521651: libpam-ck-connector leak resources for every pam session
Date: Sun, 29 Mar 2009 18:12:52 +0200
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> Holger Levsen wrote:
>> Hi,
>>
>> are you willing to prepare a fixed package for lenny, or should I prepare an 
>> NMU? I'd be happy to mail debian-release@ and ask for inclusion into the next 
>> point-release, but/and of course I'd be even happier if you'd do it :-)
> 
> I'm fine with preparing a new release for lenny.
> 

FWIW I've created a lenny branch for consolekit [1] and committed the patch there.
Holger, what would be the correct upload target, stable-proposed-updates?

What do you think about including
http://patch-tracking.debian.net/patch/series/view/consolekit/0.3.0-2/08-fix-double-close.patch
http://patch-tracking.debian.net/patch/series/view/consolekit/0.3.0-2/09-directory-handle-leak.patch
http://patch-tracking.debian.net/patch/series/view/consolekit/0.3.0-2/10-file_monitor_remove_watch_crash.patch
too?

I consider those equally important.

Cheers,
Michael

[1] http://svn.debian.org/wsvn/pkg-utopia/packages/lenny/consolekit


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#521651; Package libpam-ck-connector. (Sun, 29 Mar 2009 17:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 29 Mar 2009 17:30:02 GMT) Full text and rfc822 format available.

Message #35 received at 521651@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 521651@bugs.debian.org, pere@hungry.com
Subject: Re: [Pkg-utopia-maintainers] Bug#521651: libpam-ck-connector leak resources for every pam session
Date: Sun, 29 Mar 2009 18:26:20 +0100
[Message part 1 (text/plain, inline)]
Hi Michael,

On Sonntag, 29. März 2009, Michael Biebl wrote:
> I'm fine with preparing a new release for lenny.

\o/ Thank you! 

> When you talk about "next" point release, do you mean 5.0.1 or 5.0.2?

Well, according to the published timeline for 5.0.1 the deadline to get 
changes in was yesterday. But I think that doesn't really matter: if 
forwhatever reason the deadline is not met, it might still reach 5.0.1 if 
uploaded RSN, else (if accepted by the SRMs..) it will just go into 5.0.2.

For Debian Edu purposes this is also not a big deal, as we could upload the 
fixed package into our archive until it's fixed in Lenny. (I'm very 
comfortable doing so with packages which will end up in Lenny, I'm less 
comfortable to do so for packages which don't.)

> Holger, what would be the correct upload target,
> stable-proposed-updates?

Yup.

> What do you think about including
> http://patch-tracking.debian.net/patch/series/view/consolekit/0.3.0-2/08-fi
>x-double-close.patch
> http://patch-tracking.debian.net/patch/series/view/consolekit/0.3.0-2/09-di
>rectory-handle-leak.patch
> http://patch-tracking.debian.net/patch/series/view/consolekit/0.3.0-2/10-fi
>le_monitor_remove_watch_crash.patch too?
>
> I consider those equally important.

Yup, they look like they do. They don't seem to be filed in the Debian BTS 
(haven't actually checked, they are just not mentioned in the patch-header..) 
but I _believe_ this shouldn't be an issue if you'd mention the releveant 
launchpad/upstream-bugnumbers in the mail to debian-release when asking for 
upload approval (and also mention that Lenny is affected and those bugs are 
at least of important severity). The fixes are in squeeze, thats good :)

10-file_monitor_remove_watch_crash.patch is a bit long, but then it looks 
quite straightforward, the issue it fixes is severe and it has been in an 
stable Ubuntu release for >4 month without complaints, so I think it's a 
valid candidate.

All that said, I'm not a SRM :-)

So in summary I'd say "go for it" and thanks again! :-)
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Mon, 30 Mar 2009 14:09:12 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Mon, 30 Mar 2009 14:09:12 GMT) Full text and rfc822 format available.

Message #40 received at 521651-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 521651-close@bugs.debian.org
Subject: Bug#521651: fixed in consolekit 0.2.10-5+lenny1
Date: Mon, 30 Mar 2009 13:53:45 +0000
Source: consolekit
Source-Version: 0.2.10-5+lenny1

We believe that the bug you reported is fixed in the latest version of
consolekit, which is due to be installed in the Debian FTP archive:

consolekit_0.2.10-5+lenny1.diff.gz
  to pool/main/c/consolekit/consolekit_0.2.10-5+lenny1.diff.gz
consolekit_0.2.10-5+lenny1.dsc
  to pool/main/c/consolekit/consolekit_0.2.10-5+lenny1.dsc
consolekit_0.2.10-5+lenny1_i386.deb
  to pool/main/c/consolekit/consolekit_0.2.10-5+lenny1_i386.deb
libck-connector-dev_0.2.10-5+lenny1_i386.deb
  to pool/main/c/consolekit/libck-connector-dev_0.2.10-5+lenny1_i386.deb
libck-connector0_0.2.10-5+lenny1_i386.deb
  to pool/main/c/consolekit/libck-connector0_0.2.10-5+lenny1_i386.deb
libpam-ck-connector_0.2.10-5+lenny1_i386.deb
  to pool/main/c/consolekit/libpam-ck-connector_0.2.10-5+lenny1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 521651@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated consolekit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Mar 2009 21:21:09 +0200
Source: consolekit
Binary: consolekit libck-connector0 libck-connector-dev libpam-ck-connector
Architecture: source i386
Version: 0.2.10-5+lenny1
Distribution: stable-proposed-updates
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 consolekit - framework for defining and tracking users, sessions and seats
 libck-connector-dev - ConsoleKit development files
 libck-connector0 - ConsoleKit libraries
 libpam-ck-connector - ConsoleKit PAM module
Closes: 516253 521651
Changes: 
 consolekit (0.2.10-5+lenny1) stable-proposed-updates; urgency=low
 .
   * debian/patches/11-unref-dbus-proxy.patch
     - Unref the dbus proxy when finalizing the session object, so that
       they are not leaked. (Closes: #521651)
   * debian/patches/06-xmlto_skip_validation.patch
     - Skip XML validation when generating the documentation. (Closes: #516253)
       The xmlto version in lenny otherwise causes a FTBFS.
   * debian/patches/08-fix-double-close.patch
     - Fix double close of the log file, which occasionally causes segfaults.
   * debian/patches/09-directory-handle-leak.patch
     - Close the directory handle when we're done with it, so that we aren't
       leaking file descriptors.
   * debian/patches/10-file_monitor_remove_watch_crash.patch
     - Fix common crash when trying to remove a NULL watch.
Checksums-Sha1: 
 189cfd05a59c4f51c23cb062df5d25ea6390eb07 1515 consolekit_0.2.10-5+lenny1.dsc
 ce7b9d144a45347add6864233e2a2f82f13a10d4 11188 consolekit_0.2.10-5+lenny1.diff.gz
 1e6dfe24b932c00c96ae8449708d2263a3a2b466 125040 consolekit_0.2.10-5+lenny1_i386.deb
 a0685c8717b75ce86ece2447f2b5c0ea27a72536 42304 libck-connector0_0.2.10-5+lenny1_i386.deb
 fa9a7268e0e3a17626b525efdc066784c7fa8886 51196 libck-connector-dev_0.2.10-5+lenny1_i386.deb
 afc5300710ca1e70ccc666155d3b7e94363d9d1f 42496 libpam-ck-connector_0.2.10-5+lenny1_i386.deb
Checksums-Sha256: 
 7620e60e00cdb17ec9c4e74875635ae72bf43a6834327c9c051b889aa41d0f52 1515 consolekit_0.2.10-5+lenny1.dsc
 3eb875f7554153e926783e0ff54b70f69d9efa29e4aadbcc046760f906e996d6 11188 consolekit_0.2.10-5+lenny1.diff.gz
 4daa62ed895a4272ee5eec0512f7244b537e61f3ad9b5f31228cd20190097538 125040 consolekit_0.2.10-5+lenny1_i386.deb
 6068de2241c1d6893f18a7659cc69a650310d1d648ee41362ff30f025418961d 42304 libck-connector0_0.2.10-5+lenny1_i386.deb
 f7a9004bfd7f65e1272c24fc6111ca285f43390b7cdc12141ea7608902e41f50 51196 libck-connector-dev_0.2.10-5+lenny1_i386.deb
 d2de91dcb5c9855a669659ed5997b313a4c59685a5f95b03e510beb149d0e54c 42496 libpam-ck-connector_0.2.10-5+lenny1_i386.deb
Files: 
 48a320981b8a2d16172d9d585f501def 1515 admin optional consolekit_0.2.10-5+lenny1.dsc
 b8a3b6f4b58362ec3f66adf6fda0d0ee 11188 admin optional consolekit_0.2.10-5+lenny1.diff.gz
 c82c4911e67c5cd3590e9f39260b7ee6 125040 admin optional consolekit_0.2.10-5+lenny1_i386.deb
 f3df336ae02d0504f4f4a08c9a21874f 42304 libs optional libck-connector0_0.2.10-5+lenny1_i386.deb
 a8ef83be651d36b67d52cf9dd8a9b060 51196 libdevel optional libck-connector-dev_0.2.10-5+lenny1_i386.deb
 52afa55a507246a75661c340e64cb667 42496 admin optional libpam-ck-connector_0.2.10-5+lenny1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknPzhwACgkQh7PER70FhVTOtQCgvc+TxU3KuUvlyJkk3r5O1yVt
tgwAnAoxFI96t2drAhTPA/RKq/HqGIbW
=7zzZ
-----END PGP SIGNATURE-----





Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Sat, 11 Apr 2009 17:21:18 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Sat, 11 Apr 2009 17:21:18 GMT) Full text and rfc822 format available.

Message #45 received at 521651-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 521651-close@bugs.debian.org
Subject: Bug#521651: fixed in consolekit 0.2.10-5+lenny1
Date: Sat, 11 Apr 2009 16:47:12 +0000
Source: consolekit
Source-Version: 0.2.10-5+lenny1

We believe that the bug you reported is fixed in the latest version of
consolekit, which is due to be installed in the Debian FTP archive:

consolekit_0.2.10-5+lenny1.diff.gz
  to pool/main/c/consolekit/consolekit_0.2.10-5+lenny1.diff.gz
consolekit_0.2.10-5+lenny1.dsc
  to pool/main/c/consolekit/consolekit_0.2.10-5+lenny1.dsc
consolekit_0.2.10-5+lenny1_i386.deb
  to pool/main/c/consolekit/consolekit_0.2.10-5+lenny1_i386.deb
libck-connector-dev_0.2.10-5+lenny1_i386.deb
  to pool/main/c/consolekit/libck-connector-dev_0.2.10-5+lenny1_i386.deb
libck-connector0_0.2.10-5+lenny1_i386.deb
  to pool/main/c/consolekit/libck-connector0_0.2.10-5+lenny1_i386.deb
libpam-ck-connector_0.2.10-5+lenny1_i386.deb
  to pool/main/c/consolekit/libpam-ck-connector_0.2.10-5+lenny1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 521651@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated consolekit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Mar 2009 21:21:09 +0200
Source: consolekit
Binary: consolekit libck-connector0 libck-connector-dev libpam-ck-connector
Architecture: source i386
Version: 0.2.10-5+lenny1
Distribution: stable-proposed-updates
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 consolekit - framework for defining and tracking users, sessions and seats
 libck-connector-dev - ConsoleKit development files
 libck-connector0 - ConsoleKit libraries
 libpam-ck-connector - ConsoleKit PAM module
Closes: 516253 521651
Changes: 
 consolekit (0.2.10-5+lenny1) stable-proposed-updates; urgency=low
 .
   * debian/patches/11-unref-dbus-proxy.patch
     - Unref the dbus proxy when finalizing the session object, so that
       they are not leaked. (Closes: #521651)
   * debian/patches/06-xmlto_skip_validation.patch
     - Skip XML validation when generating the documentation. (Closes: #516253)
       The xmlto version in lenny otherwise causes a FTBFS.
   * debian/patches/08-fix-double-close.patch
     - Fix double close of the log file, which occasionally causes segfaults.
   * debian/patches/09-directory-handle-leak.patch
     - Close the directory handle when we're done with it, so that we aren't
       leaking file descriptors.
   * debian/patches/10-file_monitor_remove_watch_crash.patch
     - Fix common crash when trying to remove a NULL watch.
Checksums-Sha1: 
 189cfd05a59c4f51c23cb062df5d25ea6390eb07 1515 consolekit_0.2.10-5+lenny1.dsc
 ce7b9d144a45347add6864233e2a2f82f13a10d4 11188 consolekit_0.2.10-5+lenny1.diff.gz
 1e6dfe24b932c00c96ae8449708d2263a3a2b466 125040 consolekit_0.2.10-5+lenny1_i386.deb
 a0685c8717b75ce86ece2447f2b5c0ea27a72536 42304 libck-connector0_0.2.10-5+lenny1_i386.deb
 fa9a7268e0e3a17626b525efdc066784c7fa8886 51196 libck-connector-dev_0.2.10-5+lenny1_i386.deb
 afc5300710ca1e70ccc666155d3b7e94363d9d1f 42496 libpam-ck-connector_0.2.10-5+lenny1_i386.deb
Checksums-Sha256: 
 7620e60e00cdb17ec9c4e74875635ae72bf43a6834327c9c051b889aa41d0f52 1515 consolekit_0.2.10-5+lenny1.dsc
 3eb875f7554153e926783e0ff54b70f69d9efa29e4aadbcc046760f906e996d6 11188 consolekit_0.2.10-5+lenny1.diff.gz
 4daa62ed895a4272ee5eec0512f7244b537e61f3ad9b5f31228cd20190097538 125040 consolekit_0.2.10-5+lenny1_i386.deb
 6068de2241c1d6893f18a7659cc69a650310d1d648ee41362ff30f025418961d 42304 libck-connector0_0.2.10-5+lenny1_i386.deb
 f7a9004bfd7f65e1272c24fc6111ca285f43390b7cdc12141ea7608902e41f50 51196 libck-connector-dev_0.2.10-5+lenny1_i386.deb
 d2de91dcb5c9855a669659ed5997b313a4c59685a5f95b03e510beb149d0e54c 42496 libpam-ck-connector_0.2.10-5+lenny1_i386.deb
Files: 
 48a320981b8a2d16172d9d585f501def 1515 admin optional consolekit_0.2.10-5+lenny1.dsc
 b8a3b6f4b58362ec3f66adf6fda0d0ee 11188 admin optional consolekit_0.2.10-5+lenny1.diff.gz
 c82c4911e67c5cd3590e9f39260b7ee6 125040 admin optional consolekit_0.2.10-5+lenny1_i386.deb
 f3df336ae02d0504f4f4a08c9a21874f 42304 libs optional libck-connector0_0.2.10-5+lenny1_i386.deb
 a8ef83be651d36b67d52cf9dd8a9b060 51196 libdevel optional libck-connector-dev_0.2.10-5+lenny1_i386.deb
 52afa55a507246a75661c340e64cb667 42496 admin optional libpam-ck-connector_0.2.10-5+lenny1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknPzhwACgkQh7PER70FhVTOtQCgvc+TxU3KuUvlyJkk3r5O1yVt
tgwAnAoxFI96t2drAhTPA/RKq/HqGIbW
=7zzZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 May 2009 07:32:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:11:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.